Pool Manager¶
List Pools¶
GET /rest/pool
Authorization: Bearer <token>
Query Parameters
| Parameter | Type | Description |
|---|---|---|
region | string |
Response (200 OK)
application/json — ListPoolsResponse
Example
Get Pool¶
GET /rest/pool/{pool}
Authorization: Bearer <token>
Path Parameters
| Parameter | Type | Description |
|---|---|---|
pool | string |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
region | string |
Response (200 OK)
application/json — GetPoolResponse
Example
Watch Pool Status¶
GET /rest/pool/{pool}/watch (server-streaming)
Authorization: Bearer <token>
Path Parameters
| Parameter | Type | Description |
|---|---|---|
pool | string |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
region_id | int32 |
Response (200 OK)
application/json — PoolStatusNotification
Example
Message Types¶
GetPoolResponse¶
| Field | Type | Description |
|---|---|---|
pool | Pool |
ListPoolsResponse¶
| Field | Type | Description |
|---|---|---|
pools | Pool[] |
Pool¶
| Field | Type | Description |
|---|---|---|
name | string | |
description | string | |
autoscaler_status | PoolAutoscalerStatus | |
price_micros_per_hour | int32 |
PoolAutoscalerStatus¶
| Field | Type | Description |
|---|---|---|
last_allocation_error | string | |
last_allocation_error_time | string (RFC 3339) |
PoolStatusNotification¶
| Field | Type | Description |
|---|---|---|
pool | string | |
autoscaler_status | PoolAutoscalerStatus |